#20 Unable to see serach/ident/diff options only able to see source

None
closed
None
5
2014-02-18
2013-03-20
akam
No

Configuration
Ubuntu 12.04 LTS
lxr-0.9.10

  • I have configured everything as per the installation steps.
  • When I connect to http://localhost/source, it lists the source but I can see other options as serach/ident/diff etc
  • Hitting the source URL mentioned above, gives following in apache/erro.log

From apache2/error.log

[Wed Mar 20 20:21:43 2013] [warn] /lxr/source did not send an HTTP header
[Wed Mar 20 20:21:43 2013] warning: LXR::Common, line 985: Template templates/html-head.html does not exist in /

[Wed Mar 20 20:21:43 2013] warning: ModPerl::ROOT::ModPerl::Registry::home_parinay_lxr_lxr_source, line 225: Template templates/html-dir.html does not exist.
[Wed Mar 20 20:21:43 2013] warning: LXR::Common, line 1033: Template templates/html-tail.html does not exist in /

1 Attachments

Related

Support Requests: #20

Discussion

  • akam

    akam - 2013-03-20

    Adding lxr.conf

    I am using swish-e/mysql/apache2 (2.2.22),
    Let me know if you need anything else.

     
  • Andre-Littoz

    Andre-Littoz - 2013-03-20

    Hi,

    Your message from Apache/error.log seems to be truncated: File does not exist in /??? The rest of the message would provide a lead about a possible bad configuration of Perl variable @INC.

    After a quick reading of your lxr.conf, I don't see anything unusual. But, you may have an Apache/mod_perl conflict in your lxrserver.conf between PerlRequire and PerlPostConfigRequire (only one of them should be used).

    I can't be more helpful for the time being because my travel computer only contains a few LXR versions (0.9.9 is closest to yours) and I'm back only in 3 days. In 0.9.x, lxrserver.conf has to be manually written.

    I advise you to upgrade to the latest version (1.1.0) which exhibits a configuration wizard reducing the risk of mis-configuration. The new configuration process is described on the site at http://lxr.sourceforge.net and in the User's Manual downloadable from //sourceforge.net/projects/lxr/files/doc

    If you want to go on with 0.9.10, send the full message of error.log message and apache2-require.pl content.

    Regards

     
  • akam

    akam - 2013-03-20

    Hello,

    I crosschecked the error.log, as I notice, nothing is truncated, I have pasted the complete log

    @INC:
    /etc/perl
    /usr/local/lib/perl/5.14.2
    /usr/local/share/perl/5.14.2
    /usr/lib/perl5
    /usr/share/perl5
    /usr/lib/perl/5.14
    /usr/share/perl/5.14
    /usr/local/lib/site_perl

    You already have the lxrserver.conf.

    parinay@osh:~/lxr/lxr$ sudo apache2ctl -V
    [sudo] password for parinay:
    Server version: Apache/2.2.22 (Ubuntu)
    Server built: Mar 8 2013 15:53:14
    Server's Module Magic Number: 20051115:30
    Server loaded: APR 1.4.6, APR-Util 1.3.12
    Compiled using: APR 1.4.6, APR-Util 1.3.12
    Architecture: 32-bit
    Server MPM: Worker
    threaded: yes (fixed thread count)
    forked: yes (variable process count)
    Server compiled with....

    Thus I am removing the line, "#PerlRequire /home/parinay/lxr/lxr/apache2-require.pl"
    ( ref - http://lxr.sourceforge.net/en/InstallSteps/install6server.shtml?)

    I am also uploading the error.log, here.

    Any help is highly appreciated.

    Thanks

     
  • akam

    akam - 2013-03-20

    the apache2-require.pl

     
  • akam

    akam - 2013-03-20

    apache2-require.pl
    more apache2-require.pl

    !/usr/bin/env perl -w

    @INC= ( @INC
    , "/home/parinay/lxr/lxr" # <- LXR root directory
    , "/home/parinay/lxr/lxr/lib" # <- LXR library directory
    );

    1;
    sorry realized late that it could have been pasted.

     
  • Andre-Littoz

    Andre-Littoz - 2013-03-20

    Hi,

    From what I read in error.log, @INC seems to contain the expected paths but Apache and/or mod_perl can't access your LXR root directory. Check file permissions on directory /home/.../lxr/lxr (and its subdirectories. They should be at least: rwx??xr?x (? used for "don't care"), i.e. owner=rwx, group=x, rest_of_the_world=rx. Remember that Apache server is member of "rest of the world" and needs to access the LXR root directory.

    Check also you really named the LXR root directory as lxr/lxr/ in your home directory, not simply lxr/ (in which case lxr/lxr/ does not exist).

    I'll be unavailable during the next 48 hours.

     
  • Andre-Littoz

    Andre-Littoz - 2013-03-25

    Hi,

    Have you solved your problem or do you still need help?

    ajl

     
  • akam

    akam - 2013-03-25

    No, I am so far not successfull with my problem and need help. I also tried changing the permissions but it did not help resolve the issue.

    Let me know, if you need anything from me.

    Thanks

     
  • akam

    akam - 2013-03-25

    I still need help, as I am stuck at the same problem I reported.

    Let me know, if you need anything from me.
    Thanks

    On Mon, Mar 25, 2013 at 2:11 PM, Andre-Littoz ajlittoz@users.sf.net wrote:

    Hi,

    Have you solved your problem or do you still need help?

    ajl

    Status: open
    Created: Wed Mar 20, 2013 03:21 PM UTC by akam
    Last Updated: Wed Mar 20, 2013 07:30 PM UTC
    Owner: nobody

    Configuration
    Ubuntu 12.04 LTS
    lxr-0.9.10

    • I have configured everything as per the installation steps.
    • When I connect to http://localhost/source, it lists the source but I
      can see other options as serach/ident/diff etc
    • Hitting the source URL mentioned above, gives following in
      apache/erro.log

    From apache2/error.log

    [Wed Mar 20 20:21:43 2013] [warn] /lxr/source did not send an HTTP header
    [Wed Mar 20 20:21:43 2013] warning: LXR::Common, line 985: Template
    templates/html-head.html does not exist in /

    [Wed Mar 20 20:21:43 2013] warning:
    ModPerl::ROOT::ModPerl::Registry::home_parinay_lxr_lxr_source, line 225:
    Template templates/html-dir.html does not exist.
    [Wed Mar 20 20:21:43 2013] warning: LXR::Common, line 1033: Template
    templates/html-tail.html does not exist in /


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/lxr/support-requests/20/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

    --
    cheers
    Akam

     

    Related

    Support Requests: #20

  • Andre-Littoz

    Andre-Littoz - 2013-03-25

    Contact me through my SF mail address ajlittoz (at) users (dot) sourgeforge (dot) net
    Send me the output of ls -al ~ (i.e. list of your home directory with permissions) and also (supposing you cd'ed to ~):
    ls -al lxr
    ls -al lxr/lxr
    Once again, I suggest you upgrade to LXR 1.1.0 because configuration is more automated and more reliable.

     
  • Andre-Littoz

    Andre-Littoz - 2013-03-25

    I downloaded 0.9.10 from SourceForge to avoid any bias from my developing environment. I configured a simple test case, following item after item from the website. Everything went fine.

    I then compared with your lxr.conf and did not find anything wrong. Your version list is a bit unusual but it is valid.

    Waiting for your information.

     
  • Andre-Littoz

    Andre-Littoz - 2013-03-27

    After private mail exchanges with akam (sending screenshots and log output), it appears Apache, mod_perl or CGI manager did not change current working directory to LXR root directory as expected. However, since @INC (Perl list of libraries) was manually configured with correct OS-absolute path), LXR script execution worked without errors. When a file defined in lxr.conf was opened for reading (through Perl open functions), the path was taken relative to the current working directory (in this case /) which resulted in "file does not exist".

    Work around: list template files as OS-absolute paths.

    This is not an LXR bug, but some misbehaviour from Apache/mod_perl/CGI (I don't know which) in the specific distro context (here Ubuntu). I remember having read something about it but don't remember where and what was the definitive correction.

    For future readers: if this happens to you, please report. In LXR case, it might be enough to patch the interactive configurator if enough information on circumstances are gathered.

     
  • Andre-Littoz

    Andre-Littoz - 2013-03-27
    • status: open --> closed
    • assigned_to: Andre-Littoz
    • milestone: -->
     

Log in to post a comment.